package com.ruoyi.system.service;

import java.util.List;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.vo.PostCollectionsVo;
import com.ruoyi.system.domain.PostCollections;

/**
 * 藏品Service接口
 *
 * @author ruoyi
 * @date 2023-02-15
 */
public interface IPostCollectionsService
{
    /**
     * 查询藏品
     *
     * @param id 藏品主键
     * @return 藏品
     */
    public PostCollectionsVo selectPostCollectionsById(Long id);

    /**
     * 查询藏品列表
     *
     * @param id 藏品
     * @return 藏品集合
     */
    public List<PostCollections> selectPostCollectionsList(Long id);

    /**
     * 新增藏品
     *
     * @param postCollectionsVo 藏品
     * @return 结果
     */
    public AjaxResult insertPostCollections(PostCollectionsVo postCollectionsVo);

    /**
     * 修改藏品
     *
     * @param postCollections 藏品
     * @return 结果
     */
    public int updatePostCollections(PostCollections postCollections);

    /**
     * 批量删除藏品
     *
     * @param ids 需要删除的藏品主键集合
     * @return 结果
     */
    public int deletePostCollectionsByIds(Long[] ids);

    /**
     * 删除藏品信息
     *
     * @param id 藏品主键
     * @return 结果
     */
    public int deletePostCollectionsById(Long id);
    /**
     * 根据藏品名称查询藏品数量
     *
     * @param postCollectionsVo 藏品
     * @return 结果
     */
    public int selectPostCollectionsByName(PostCollectionsVo postCollectionsVo);


}
